The WhatsApp accounts endpoint lets you create and update WhatsApp accounts as well as get account activity and leave comments.
Provisioning API (1.2.36)
The unique ID of the project. You can find this on the Sinch Dashboard.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/enableTemplateAnalytics
- Staging server from master branchhttps://provisioning-api.int.staging.sinch.com/v1/projects/{projectId}/whatsapp/enableTemplateAnalytics
- Staging server from dev branchhttps://provisioning-api-dev.int.staging.sinch.com/v1/projects/{projectId}/whatsapp/enableTemplateAnalytics
- Internal production server for admin authorizationhttps://provisioning-api.unauth.int.prod.sinch.com/v1/projects/{projectId}/whatsapp/enableTemplateAnalytics
- Internal staging server from master branch for admin authorizationhttps://provisioning-api.unauth.int.staging.sinch.com/v1/projects/{projectId}/whatsapp/enableTemplateAnalytics
- Internal staging server from dev branch for admin authorizationhttps://provisioning-api-dev.unauth.int.staging.sinch.com/v1/projects/{projectId}/whatsapp/enableTemplateAnalytics
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
-u <username>:<password> \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/enableTemplateAnalytics' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Request
Returns a long lived access token based on the facebook token from the embedded signup. Valid for 60 days.
The unique ID of the project. You can find this on the Sinch Dashboard.
Facebook token generated from the embedded signup process, or another long lived access token.
Long-Lived User access token. Mandatory if facebookCode is not provided.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/longLivedAccessToken
- Staging server from master branchhttps://provisioning-api.int.staging.sinch.com/v1/projects/{projectId}/whatsapp/longLivedAccessToken
- Staging server from dev branchhttps://provisioning-api-dev.int.staging.sinch.com/v1/projects/{projectId}/whatsapp/longLivedAccessToken
- Internal production server for admin authorizationhttps://provisioning-api.unauth.int.prod.sinch.com/v1/projects/{projectId}/whatsapp/longLivedAccessToken
- Internal staging server from master branch for admin authorizationhttps://provisioning-api.unauth.int.staging.sinch.com/v1/projects/{projectId}/whatsapp/longLivedAccessToken
- Internal staging server from dev branch for admin authorizationhttps://provisioning-api-dev.unauth.int.staging.sinch.com/v1/projects/{projectId}/whatsapp/longLivedAccessToken
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
- withFacebookCode
- withFacebookToken
curl -i -X POST \
-u <username>:<password> \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/longLivedAccessToken' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"facebookCode": "FACEBOOK_CODE"
}'{ "longLivedAccessToken": "FACEBOOK_TOKEN" }
Request
Returns a list of all the WhatsApp Business Accounts that the facebook token is associated with, together with the numbers that are shared.
The unique ID of the project. You can find this on the Sinch Dashboard.
WabaDetails data with Facebook token generated from the embedded signup process.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/wabaDetails
- Staging server from master branchhttps://provisioning-api.int.staging.sinch.com/v1/projects/{projectId}/whatsapp/wabaDetails
- Staging server from dev branchhttps://provisioning-api-dev.int.staging.sinch.com/v1/projects/{projectId}/whatsapp/wabaDetails
- Internal production server for admin authorizationhttps://provisioning-api.unauth.int.prod.sinch.com/v1/projects/{projectId}/whatsapp/wabaDetails
- Internal staging server from master branch for admin authorizationhttps://provisioning-api.unauth.int.staging.sinch.com/v1/projects/{projectId}/whatsapp/wabaDetails
- Internal staging server from dev branch for admin authorizationhttps://provisioning-api-dev.unauth.int.staging.sinch.com/v1/projects/{projectId}/whatsapp/wabaDetails
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/wabaDetails' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"facebookToken": "FACEBOOK_TOKEN"
}'{ "wabas": [ { … } ] }
A WhatsApp Sender is also referred to as a 'Business Profile' or a WhatsApp channel. The WhatsApp Sender endpoint allows you to create a Sender through Meta's Embedded sign up. A Sender must be provisioned for you as a consumer of the WhatsApp API to send messages to your end users.